Subject: Re: Recording the current branch on each commit?

From: David Kastrup <[email-masked]>
Date: Mon, 28 Apr 2014 08:07:33 +0200

Johan Herland <[email-masked]> writes:

> Obviously, the feature would necessarily have to be optional, simply
> because Git would have to keep understanding the old commit object
> format for a LONG time (probably indefinitely), and there's nothing
> you can do to prevent others from creating old-style commit objects.

Personally, I am _strongly_ opposed.  How I name and juggle my private
branches is nobody else's business in a distributed version control
system.

They are private.  My personal workflow.  Not part of a commit.

-- 
David Kastrup